Installer - Bug #31834

Ensure PostgreSQL 12 is used on EL8
02/08/2021 02:41 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category:
Target version: 25.0
Difficulty: Fixed in Releases: 2.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman-i
nstaller/pull/650

Description

Associated revisions

Revision fdc20de5 - 03/08/2021 06:16 PM - Ewoud Kohl van Wijngaarden
Fixes #31834 - Use PostgreSQL 12 on EL8

This aligns Red Hat 7 and Red Hat 8 on PostgreSQL 12. It uses the

a specific git commit for DNF module support but without dropping Puppet
5 to allow for a cherry pick to 2.4. After develop drops Puppet 5

support, it should switch to >= 7.0.1 as a version specifyer.

It may break existing installations on PostgreSQL 10 since there is no

upgrade path. Those users are recommended to set version to 10 in their
custom-hiera.yaml or upgrade to PostgreSQL 12.

History

#1 - 02/08/2021 02:51 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/646 added

#2 - 02/08/2021 06:51 PM - Eric Helms

- Target version set to 2.4.0

#3 - 02/16/2021 01:51 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman-installer/pull/650 added

#4 - 03/03/2021 03:40 PM - Eric Helms
- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/646)

#5 - 03/08/2021 06:16 PM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#6 - 03/08/2021 07:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset installer|f{dc20de529ebcabail708bf9afa43a23e96a7858a.

#7 - 03/10/2021 05:33 PM - Ewoud Kohl van Wijngaarden
- Target version changed from 2.4.0 to 2.5.0
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/fdc20de529ebcaba1708bf9afa43a23e96a7858a

- Triaged changed from No to Yes

Due to the complexities involved and the timeline, this can't make the 2.4 release cycle anymore. There was a consideration to only perform it for
Katello but given the Katello pipeline is broken since January 26th, there's no way to verify it actually works. Holding up the Foreman release for that
is not a good idea.
